faked(1)

NOM
Faked - démon qui mémorise les permissions et propriétaires factices des fichiers manipulés par les processus sous fakeroot.

SYNOPSIS
faked [--debug] [--foreground] [--cleanup] [--key clé-msg] [--load] [--save-file fichier-de-sauvegarde] [--port port_TCP]

DESCRIPTION
If a fakeroot process wants to change the ownership of a file, then faked is the process that remembers that new owner. If later the same fakeroot process does a stat() for that filename, then the libfakeroot wrapped stat() call will first ask faked for the fake ownership etc. of that file, and then report it.

OPTIONS

--debug
    Affiche les informations de débogage sur la sortie d'erreur.

--foreground
    Ne pas se dupliquer (fork) en tâche de fond.

--cleanup number
    Nettoyer les sémaphores.

--key key-number
    Don't allocate a new communication channel, but use channel specified by key. (If the specified channel doesn't exist, it's created).

--save-file save-file
    Enregistre l'environnement dans le fichier-de-sauvegarde en quittant.

--load
    Restaure un environnement préalablement enregistré à partir de l'entrée standard.

--unknown-is-real
    Utilise le véritable propriétaire des fichiers auparavant inconnus que de les attribuer à root:root.

--port tcp-port
    Utilise le port TCP port-tcp.

BOGUES
None so far. Be warned, though: although I've written quite a few much larger (and smaller) programs, I've never written anything that was as tiny as fakeroot, had as many bugs as fakeroot, and still was as usable as, say, fakeroot version 0.0_3, the first version that could be used to build itself.

COPIES
fakeroot est distribué sous la licence GNU General Public License. (GPL 2.0 ou supérieure).

AUTEURS

Joost Witteveen
    <joostje@debian.org>

Clint Adams
    <clint@debian.org>

Timo Savola

TRADUCTION
Sylvain Cherrier <sylvain.cherrier@free.fr>.

PAGE DE MANUEL
mostly by J.H.M. Dassen <jdassen@debian.org> mods/additions by joost and Clint.

VOIR AUSSI
fakeroot(1), dpkg-buildpackage(1), debuild(1), /usr/share/doc/fakeroot/DEBUG